<!-- <div class="card border-0 card-body align-items-center d-flex justify-content-center" style="width: 80rem;">
    <div class="row"> -->


<div class="row row-margin">
    <div class="col-md-12">
        <h3>Configuración Fico Score</h3>

        <p>Configura cada uno de los rangos para el score de circulo de credito</p>
    </div>
</div>

<div class="row row-margin">
    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Alto</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('EXIGENTE', -50, 'FiscoScore')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoAltaInit}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="EXIGENTE" [(ngModel)]="progresoAlta" (ngModelChange)="onChangeValue('EXIGENTE',$event, 'FiscoScore')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('EXIGENTE', 50, 'FiscoScore')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>

    <div class="col-md-2"></div>

    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Medio</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('MEDIO', -50, 'FiscoScore')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoMediaInit}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="MEDIO" [(ngModel)]="progresoMedia" (ngModelChange)="onChangeValue('MEDIO',$event, 'FiscoScore')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('MEDIO', 50, 'FiscoScore')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>


</div>



<div class="row row-margin">
    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Bajo</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('BAJO', -50, 'FiscoScore')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoBajaInit}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="BAJO" [(ngModel)]="progresoBaja" (ngModelChange)="onChangeValue('BAJO', $event, 'FiscoScore')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('BAJO', 50, 'FiscoScore')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>

    <div class="col-md-2"></div>

    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Informativo</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('INFORMATIVO', -50, 'FiscoScore')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoInformativoInit}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="INFORMATIVO" [(ngModel)]="progresoInformativo" (ngModelChange)="onChangeValue('INFORMATIVO', $event)" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('INFORMATIVO', 50, 'FiscoScore')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>

</div>


<!-- <div class="row row-margin">
    <div class="col-md-12" style="text-align: center;">
        <button (click)="guardar()" class="btn btn-primary mr-4 mt-3 button-style" >Actualizar</button>
    </div>
</div> -->

<div class="row row-margin">
    <div class="col-md-12">
        <h3>Configuración FIS</h3>

        <p>Configura cada uno de los rangos para FIS de circulo de credito</p>
    </div>
</div>

<div class="row row-margin">
    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Alto</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('EXIGENTEFIS', -50, 'FIS')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoAltaInitFIS}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="EXIGENTEFIS" [(ngModel)]="progresoAltaFIS" (ngModelChange)="onChangeValue('EXIGENTEFIS',$event,'FIS')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('EXIGENTEFIS', 50, 'FIS')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>

    <div class="col-md-2"></div>

    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Medio</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('MEDIOFIS', -50, 'FIS')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoMediaInitFIS}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="MEDIOFIS" [(ngModel)]="progresoMediaFIS" (ngModelChange)="onChangeValue('MEDIOFIS',$event,'FIS')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('MEDIOFIS', 50, 'FIS')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>


</div>



<div class="row row-margin">
    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Bajo</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('BAJOFIS', -50, 'FIS')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoBajaInitFIS}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="BAJOFIS" [(ngModel)]="progresoBajaFIS" (ngModelChange)="onChangeValue('BAJOFIS', $event,'FIS')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('BAJOFIS', 50, 'FIS')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>

    <div class="col-md-2"></div>

    <div class="col-md-5">
        <div class="ml-5 card text-center" *ngIf="filtersLoaded | async" style="width: 40rem;">
            <div class="row">
                <h3>Informativo</h3>
                <div class="col-md-12">
                    <div class="card card-SecureTouch">
                        <div class="card-body">
                            <div class="row">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" type="button" (click)="cambiaValor('INFORMATIVOFIS', -50, 'FIS')" style="margin-top: 20px;">
                                            <i class="pe-7s-less"></i>
                                        </button>
                                    </span>
                                    <strong>Valor actual: {{progresoInformativoInitFIS}} </strong>
                                    <br>
                                    <input type="number" class="form-control" name="progreso" id="INFORMATIVOFIS" [(ngModel)]="progresoInformativoFIS" (ngModelChange)="onChangeValue('INFORMATIVOFIS', $event,'FIS')" max="1000" min="1" style="border: solid;
                                    border-width: thin; border-color:#2e6da4; text-align: center;">
                                    <span class="input-group-btn">
                                            <button class="btn btn-primary" type="button" (click)="cambiaValor('INFORMATIVOFIS', 50, 'FIS')" style="margin-top: 20px;">
                                                <i class="pe-7s-plus"></i>
                                            </button>
                                        </span>
                                </div>
                
                            </div>
                
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>

</div>
<div class="row row-margin" *ngIf="showError">
    <div class="col-md-12" style="text-align: center;">
        <span style="color: red; ">Verifique que <br>
            <ul>
                <li>1. Exigente sea mayor que Medio
                <li>2. Medio sea mayor a Bajo
            </ul>
        </span>
    </div>
</div>

<div class="row row-margin">
    <div class="col-md-12" style="text-align: center;">
        <button (click)="guardar()" class="btn btn-primary mr-4 mt-3 button-style" >Actualizar</button>
    </div>
</div>




<!-- </div>
</div> -->